<h2><?php echo $cliente['nombre'];?> 
	<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modalCliente" data-id="<?php echo $cliente['id']; ?>">
		<i class="fas fa-pencil-alt"></i>
	</button>
	<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target="#modalVenta" data-id="0">
		<i class="fas fa-plus"></i> Venta
	</button>
	<?php
		if (empty($cliente['ps_id'])) { 
		?>
			<button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#modalBuscaPuntos" data-id="<?php echo $cliente['id']; ?>">
				<i class="fas fa-plus"></i> Puntos
			</button>
		<?php 
	} 
	?>
	<a class="btn btn-primary btn-sm" href="/clientes/carga_puntos/<?php echo $cliente['id']; ?>" target="_blank">
		<i class="fas fa-plus"></i> Puntos Pasados
	</a>
</h2>
<div class="row">
	<div class="col-6">
		<h5>Ps ID: <a class="badge badge-pill badge-primary" target="_blank" href="https://dementegames.cl/admin161m0dq8h/index.php?tab=AdminCustomers&id_customer=<?php echo $cliente['ps_id']; ?>&viewcustomer&token="><?php echo $cliente['ps_id']; ?></a></h5>
	</div>
	<div class="col-6">
		<h5>Newsletter: <?php echo ($cliente['newsletter'] ? '<span class="badge badge-pill badge-success">Suscrito</span>' : '<span class="badge badge-pill badge-danger">No suscrito</span>');?>
	</div>
	<div class="col-6">
		<h5>Email: <?php echo $cliente['email']; ?></h5>
	</div>
	<div class="col-6">
		<h5>Fono: <?php echo $cliente['fono']; ?></h5>
	</div>
	<div class="col-6">
		<h5>Facebook: <?php echo !empty($cliente['facebook']) ? '<a href="' . $cliente['facebook'] . '" target="_blank">Facebook</a>' : ''; ?></h5>
	</div>
	<div class="col-6">
		<h5>
			Instagram: <?php echo !empty($cliente['instagram']) ? '<a href="' . $cliente['instagram'] . '" target="_blank">Instagram</a>' : ''; ?>
		</h5>
	</div>
	<div class="col-12">
		<h5>Información Adicional: <?php echo $cliente['info']; ?></h5>
	</div>
</div>

<ul class="list-group">
	<?php
	if (!empty($cliente['ventas'])) {
		?>
		<li class="list-group-item">
			<h4 class="mes clickable" data-toggle="collapse" href="#collapse-ventas"> Ventas 
				<span class="badge badge-pill badge-primary"><?php echo clp($cliente['facturado']); ?></span>
				<span class="badge badge-pill badge-success"><?php echo clp($cliente['utilidades']); ?></span>
			</h4>
			<div class="collapse" id="collapse-ventas">
			<?php
				foreach($cliente['ventas'] as $v) {
				?>
				<div>
					<?php
						if(!empty($v['asociados'])){
							echo '<div class="ventas-asociadas border rounded px-2 py-2 mb-1">';
						}
						if(!empty($v['ps_id_asociado'])){
							echo '<div class="venta-huerfana border rounded px-2 py-2 mb-1">';
						}
						$data['v'] = $v;
						$this->load->view('ventas/single', $data);
						if(!empty($v['ps_id_asociado'])){
							echo '</div>';
						}
						if(!empty($v['asociados'])){
							foreach($v['asociados'] as $va){
								$data['v'] = $va;
								$this->load->view('ventas/single', $data);
							}
							echo '</div>';
						}
					?>
				</div>
				<?php
				}
			?>
			</div>
		</li>
		<?php
	}
	else {
		?>
		<li class="list-group-item"><h4>A&uacute;n no hay ventas</h4></li>
		<?php
	}

	if (!empty($cliente['ventas_proceso'])) {
		?>
		<li class="list-group-item">
			<h4 class="mes clickable" data-toggle="collapse" href="#collapse-ventas-proceso"> Ventas en proceso
				<span class="badge badge-pill badge-primary"><?php echo count($cliente['ventas_proceso']); ?></span>
			</h4>
			<div class="collapse" id="collapse-ventas-proceso">
			<?php
				foreach($cliente['ventas_proceso'] as $vp) {
				?>
				<div>
					<?php
						if(!empty($vp['asociados'])){
							echo '<div class="ventas-asociadas border rounded px-2 py-2 mb-1">';
						}
						if(!empty($vp['ps_id_asociado'])){
							echo '<div class="venta-huerfana border rounded px-2 py-2 mb-1">';
						}
						$data['v'] = $vp;
						$this->load->view('ventas/single', $data);
						if(!empty($vp['ps_id_asociado'])){
							echo '</div>';
						}
						if(!empty($vp['asociados'])){
							foreach($vp['asociados'] as $va){
								$data['v'] = $va;
								$this->load->view('ventas/single', $data);
							}
							echo '</div>';
						}
					?>
				</div>
				<?php
				}
			?>
			</div>
		</li>
		<?php
	}
	else {
		?>
		<li class="list-group-item"><h4>No hay ventas en Proceso</h4></li>
		<?php
	}

	if (!empty($cliente['puntos'])) {
		?>
		<li class="list-group-item">
			<h4 class="mes clickable" data-toggle="collapse" href="#collapse-puntos"> Puntos DeMente
				<span class="badge badge-pill badge-primary tt" title="Puntos disponibles"><?php echo clp($cliente['total_puntos']); ?></span>
			</h4>
			<div class="collapse" id="collapse-puntos">
				<div class="row">
					<div class="col-1">
						ID PS
					</div>
					<div class="col-4">
						Detalle
					</div>
					<div class="col-2">
						Fecha
					</div>
					<div class="col-2">
						Puntos
					</div>
					<div class="col-2">
						Estado
					</div>
					<?php 
					if ($_SESSION['usuario']['admin']) {
						?>
						<div class="col-1">
						</div>
						<?php
					} 
					?>
				</div>
			<?php
				foreach($cliente['puntos'] as $pc) {
					$data['p'] = $pc;
					$this->load->view('puntos/points_single', $data);
				}
			?>
			</div>
		</li>
		<?php
	}
	else {
		?>
		<li class="list-group-item"><h4>Clientes sin puntos asociados</h4></li>
		<?php
	}
	?>
</ul>

<?php $this->load->view('clientes/modal'); ?>
<?php $this->load->view('ventas/modal'); ?>
<?php $this->load->view('puntos/modal_puntos'); ?>
<?php $this->load->view('clientes/busca_puntos'); ?>

<script src="<?php echo js('clientes.js'); ?>"></script>
<script src="<?php echo js('ventas.js'); ?>"></script>
<script src="<?php echo js('puntos.js'); ?>"></script>